#!/bin/bash
# Default acpi script that takes an entry for all actions

case "$1" in
    button/sleep)
        case "$2" in
            SLPB|SBTN)
                logger 'SleepButton pressed'
		/bin/loginctl suspend
		rc-service my-x200 restart
                ;;
            *)
                logger "ACPI action undefined: $2"
                ;;
        esac
        ;;
    button/suspend)
	case "$2" in
	    SUSP)
		logger 'SuspendButton pressed'
		/bin/loginctl sleep
		rc-service my-x200 restart
		;;
	    *)
		logger "ACPI action undefined: $2"
		;;
	esac
	;;
    button/lid)
        case "$3" in
            close)
		/bin/loginctl suspend
                logger 'LID closed'
                ;;
            open)
                logger 'LID opened'
		rc-service my-x200 restart
                ;;
            *)
                logger "ACPI action undefined: $3"
                ;;
        esac
        ;;
    button/vendor)
        case "$2" in
            VNDR)
                logger 'ThinkVantage pressed'
		/etc/init.d/my-x200 refresh
                ;;
            *)
                logger "ACPI action undefined: $2"
                ;;
        esac
        ;;
esac
